{% extends 'base.html' %}

{% block title %}
Tracker
{% endblock title %}

{% block content %}

<main>
    <div>
        <h1>My Projects</h1>
        <p><a class="header_link" style="text-decoration:none" href="{% url 'create_project' %}">Create a Project</a></p>
        {% if projects %}
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Number of Tasks</th>
                </tr>
            </thead>
            <tbody>
                {% for project in projects %}
                <tr>
                    <td><a href="{% url 'show_project' project.id %}">{{ project.name }}</a></td>
                    <td>{{ project.tasks.all|length }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        {% else %}
            <p>You are not assigned to any projects</p>
        {% endif %}
    </div>
</main>
{% endblock content %}
